PENTOBI(6)

NAME
pentobi - computer opponent for the board game Blokus

SYNOPSIS
pentobi [options] [file]

DESCRIPTION
pentobi is the command to invoke the program Pentobi, which is a graphical user interface and computer opponent to play the board game Blokus.

The command can take the name of a game file to open at startup as an optional argument. The game file is expected to be in Pentobi's SGF format as documented in doc/blksgf/Pentobi-SGF.html in the Pentobi source package.

OPTIONS

-h, --help
    Display help and exit.

--maxlevel
    Set the maximum playing level. Reducing this value reduces the amount of memory used by the search, which can be useful to run Pentobi on systems that have low memory or are too slow to use the highest levels. By default, Pentobi currently allocates up to 2 GB (but not more than a quarter of the physical memory available on the system). Reducing the maximum level to 8 currently reduces this amount by a factor of 3 to 4 and lower maximum levels even more.

--mobile
    Use a window layout optimized for smartphones and apply some user interface changes that assume that a touchscreen is the main input device. If this option is not used, the default layout depends on the platform. Using this option also changes the default style for GUI elements of QQuickControls 2 to Default if the style is not explicitly set with option -style.

--nobook
    Do not use opening books.

--nodelay
    Do not delay fast computer moves. By default, the computer player adds a small delay if the move generation took less than a second to make it easier for the human to follow the game if the computer plays several moves in a row.

--seed
    Set the seed for the random generator. Using a fixed seed makes the move generation deterministic if no multi-threading is used (see option --threads).

--threads
    The number of threads to use in the search. By default, up to 8 threads are used in the search depending on the number of hardware threads supported by the current system. Using more threads will speed up the move generation but using a very high number of threads (e.g. more than 8) can degrade the playing strength in higher playing levels.

--verbose
    Print internal information about the move generation and other debugging information to standard error.

Standard options for Qt applications:

-display
    Switches displays on X11.

-geometry
    Window geometry using the X11 syntax.

-style
    Set the style for the GUI elements of QQuickControls 2. If no style is chosen, the default style is Default if option --mobile is set and Fusion otherwise.

SEE ALSO
pentobi-thumbnailer(6)

AUTHOR
Markus Enzenberger <enz@users.sourceforge.net>